package omq.common.message.response;

import java.util.Properties;

/**
 * 
 * @author Sergi Toda <sergi.toda@estudiants.urv.cat>
 * 
 */
public class DefaultResponse extends Response {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Object obj;

	public DefaultResponse() {
		super();
	}

	public DefaultResponse(String proxyUID, Object obj) {
		super(proxyUID);
		this.obj = obj;
	}

	@Override
	public Object getResp(Properties env) throws Exception {
		return obj;
	}

	@Override
	public Object getResp() throws Exception {
		return obj;
	}

	public Object getObj() {
		return obj;
	}

	public void setObj(Object obj) {
		this.obj = obj;
	}
}
